#ifndef Map_H
#define Map_H

#include <Bild.h>

using namespace Framework;

struct Tile
{
	int id;
	int grad;
	int xPos;
	int yPos;
};

class Map
{
private:
	RCArray< Array< int > > *map;
	LRahmen *feld;
	Tile t;
	int score;
	int breite;
	int hhe;
	int geschwindigkeit;
	int neuTempo;
	double next;
	bool beendet;
	bool sr;
	bool rend;
	int ref;

public:
	// Konstruktor
	Map();
	// Destruktor
	~Map();
	// nicht constant
	void reset();
	void doMausEreignis( MausEreignis &me );
	void doTastaturEreignis( TastaturEreignis &te );
	bool tick( double tickVal );
	void render( Bild &zRObj );
	// constant
	void speichern() const;
	int getScore() const;
	bool istBeendet() const;
	// Reference Counting
	Map *getThis();
	Map *release();
};

#endif